Loading...
Searching...
No Matches
mbedtls_psa_pake_operation_t Struct Reference

`#include <crypto_builtin_composites.h>`

Collaboration diagram for mbedtls_psa_pake_operation_t:
[legend]

## Data Fields

psa_algorithm_t | private_alg
uint8_t * | private_password
size_t | private_password_len
mbedtls_ecjpake_role | private_role
uint8_t | private_buffer [MBEDTLS_PSA_JPAKE_BUFFER_SIZE]
size_t | private_buffer_length
size_t | private_buffer_offset
union { |
unsigned int private_dummy |
mbedtls_ecjpake_context private_jpake |
} | private_ctx

## Detailed Description

Definition at line 191 of file crypto_builtin_composites.h.

## Field Documentation

## private_alg

psa_algorithm_t mbedtls_psa_pake_operation_t::private_alg

Definition at line 192 of file crypto_builtin_composites.h.

## private_buffer

uint8_t mbedtls_psa_pake_operation_t::private_buffer[MBEDTLS_PSA_JPAKE_BUFFER_SIZE]

Definition at line 198 of file crypto_builtin_composites.h.

## private_buffer_length

size_t mbedtls_psa_pake_operation_t::private_buffer_length

Definition at line 199 of file crypto_builtin_composites.h.

## private_buffer_offset

size_t mbedtls_psa_pake_operation_t::private_buffer_offset

Definition at line 200 of file crypto_builtin_composites.h.

## [union]

union { ... } mbedtls_psa_pake_operation_t::private_ctx

## private_dummy

unsigned int mbedtls_psa_pake_operation_t::private_dummy

Definition at line 204 of file crypto_builtin_composites.h.

## private_jpake

mbedtls_ecjpake_context mbedtls_psa_pake_operation_t::private_jpake

Definition at line 206 of file crypto_builtin_composites.h.

## private_password

uint8_t* mbedtls_psa_pake_operation_t::private_password

Definition at line 194 of file crypto_builtin_composites.h.

## private_password_len

size_t mbedtls_psa_pake_operation_t::private_password_len

Definition at line 195 of file crypto_builtin_composites.h.

## private_role

mbedtls_ecjpake_role mbedtls_psa_pake_operation_t::private_role

Definition at line 197 of file crypto_builtin_composites.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_composites.h